<?php

namespace Drupal\user_sanitize\Commands;

use Drupal\user_sanitize\UserSanitizeBatch;
use Drush\Commands\DrushCommands;

/**
 * A Drush commandfile.
 *
 * In addition to this file, you need a drush.services.yml
 * in root of your module, and a composer.json file that provides the name
 * of the services file to use.
 *
 * See these files for an example of injecting Drupal services:
 *   - http://cgit.drupalcode.org/devel/tree/src/Commands/DevelCommands.php
 *   - http://cgit.drupalcode.org/devel/tree/drush.services.yml
 */
class UserSanitizeCommands extends DrushCommands {

  /**
   * Sanitize users
   *
   * @validate-module-enabled user_sanitize
   *
   * @command user-sanitize
   * @aliases ussan
   * @usage user-sanitize
   *   Starts sanitizing and displays a message.
   */
  public function sanitize() {
    UserSanitizeBatch::build(TRUE);
  }

}
